﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using Infragistics.Controls.Grids;
using System.Diagnostics;

namespace XamGridDataTableEvents
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            DataTable dt = GetTable();
            this.DataContext = dt.DefaultView;
            dt.RowChanged += new DataRowChangeEventHandler(dt_RowChanged);
        }

        void dt_RowChanged(object sender, DataRowChangeEventArgs e)
        {
            Debug.WriteLine("Event Fired !");
        }

        static DataTable GetTable()
        {
            //
            // Here we create a DataTable with four columns.
            //
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("InStock", typeof(bool));
            table.Columns.Add("Date", typeof(DateTime));

            //
            // Here we add five DataRows.
            //
            table.Rows.Add(25, "Indocin", true, DateTime.Now);
            table.Rows.Add(50, "Enebrel", false, DateTime.Now);
            table.Rows.Add(10, "Hydralazine", true, DateTime.Now);
            table.Rows.Add(21, "Combivent", true, DateTime.Now);
            table.Rows.Add(100, "Dilantin", false, DateTime.Now);
            return table;
        }


    }
}
